<template>
  <div class='item'>
    <img :src='require(`../../assets/img/cloud/${data.img}.svg`)' :alt='data.title' width="86" height="84">
    <p class='item__title'>{{ data.title }}</p>
    <p class='item__text'> {{ data.text }}</p>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      default: () => {
        return {
          img: 'manage',
          title: 'Effective to manage',
          text: 'The account of the owner of the exchange performs the functions of a payment aggregator and personal account, provides the possibility of automatic and manual control.'
        }
      }
    }
  }
}
</script>


<style lang='scss' scoped>
.item {
  background: #0E1B4E;
  border-radius: 20px;
  padding: 40px 20px;
  display: flex;
  align-items: center;
  flex-direction: column;

  img {
    object-fit: contain;
    margin-bottom: 22px;
  }

  &__title {
    font-size: 24px;
    color: white;
    font-weight: 500;
    margin: 0 0 25px;
  }

  &__text {
    font-size: 16px;
    line-height: 24px;
    color: #6983AB;
    text-align: center;
    margin: 0;
    max-width: 292px;
    font-weight: 400;
  }
}
</style>
